<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DmaAgentUser extends BaseModel
{
    use HasFactory;
    protected $table = 'dma_agent_user';


    public function getDmaAgentLevelName()
    {
        $level_name = "";
        switch ($this->level) {
            case 1:
                $level_name = "标准代理商";
                break;
            case 2:
                $level_name = "高级代理商";
                break;
            default:
                # code...
                break;
        }
        return $level_name;
    }
}


